Bug 442808 - Review Request: epsilon - Small, display independent, and quick thumbnailing library
Review Request: epsilon - Small, display independent, and quick thumbnailing ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On: 442640
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 17:52 EDT by Pavel Shevchuk
Modified: 2008-05-17 18:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-17 18:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Shevchuk 2008-04-16 17:52:55 EDT
Spec URL: http://rpm.scwlab.com/epsilon-goes-rawhide/epsilon.spec
SRPM URL: http://rpm.scwlab.com/epsilon-goes-rawhide/epsilon-0.3.0.012-1.fc9.src.rpm
RPMs for i386 and x86_64 built in mock: http://rpm.scwlab.com/epsilon-goes-rawhide/

Description:
This is a small, display independent, and quick thumbnailing library.
The lib itself conforms to the standard put forth by freedesktop.org

RPMLint spits out only W: no-documentation because documentation is absent upstream, and optional xine plugin package shouldn't have any documentation anyway.
Included command line tools work as expected, therefore lib itself also works
Comment 1 Pavel Shevchuk 2008-05-03 22:00:14 EDT
* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.3.0.012-2
- Added missing dependencies for epsilon-devel
- Fixed timestamp of source tarball
- Preserve timestamps of installed files

New spec: http://rpm.scwlab.com/epsilon-goes-rawhide/epsilon.spec
New SRPM: http://rpm.scwlab.com/fedora/e/9/epsilon-0.3.0.012-2.x86_64/
epsilon-0.3.0.012-2.fc9.src.rpm
Built RPMs: http://rpm.scwlab.com/fedora/e/9/
Comment 2 Patrice Dumas 2008-05-14 10:53:05 EDT
I'll let Rex do the review, but I already have 2 comments.

The plugin is not properly packaged, indeed the shared object
is dlopened and not linked, so there is no need to have ldconfig
run in the xine subpackage postscripts. And devel should not depend
on the xine subpackage either.

A dot is missing at the end of the %description.
Comment 3 Pavel Shevchuk 2008-05-14 10:55:34 EDT
Third comment from myself - -devel package doesn't depend on pkgconfig. Will fix
this evening
Comment 4 Pavel Shevchuk 2008-05-14 18:27:16 EDT
* Thu May 15 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.3.0.012-3
- Added missing pkgconfig to buildrequires and requires of epsilon-devel
- Removed unneded ldconfig call for epsilon-xine
- Removed epsilon-devel dependency on epsilon-xine

New spec: http://rpm.scwlab.com/epsilon-goes-rawhide/epsilon.spec
New SRPM: http://rpm.scwlab.com/fedora/e/9/epsilon-0.3.0.012-3.fc9.x86_64/
epsilon-0.3.0.012-3.fc9.src.rpm
Built RPMs: http://rpm.scwlab.com/fedora/e/9/
Comment 5 Patrice Dumas 2008-05-17 11:53:49 EDT
Everything looks good on the packaging side, but the resulting 
software seems barely usable. There is no documentation, I tested
epsilon and epsilon_thumbd but it doesn't lead to anything, and 
epsilon_thumb_test outputs a lot but doesn't seems to do anything 
either.
Comment 6 Pavel Shevchuk 2008-05-17 12:05:46 EDT
I don't see any use for such standalone thumbnailer either, but library is used 
in various E-Apps, including E17 filemanager, for generating picture and video 
file thumbnails.
Comment 7 Patrice Dumas 2008-05-17 12:11:22 EDT
If it is so, maybe the libs could be in a -libs package, or the programs
could be in an -utils package.
Comment 8 Pavel Shevchuk 2008-05-17 12:33:58 EDT
Took a brief look at code.

epsilon takes path to file and returns grep/sed friendly output with path to 
thumbnails and other info. Could be used in shellscripts.

epsilon_thumbd is needed for asynchronous API to work, library starts this 
daemon when async API is called with no daemon running

epsilon_test could be removed, don't see any practical use for it
Comment 9 Patrice Dumas 2008-05-17 13:01:51 EDT
(In reply to comment #8)
> epsilon takes path to file and returns grep/sed friendly output with path to 
> thumbnails and other info. Could be used in shellscripts.

Ok.

> epsilon_thumbd is needed for asynchronous API to work, library starts this 
> daemon when async API is called with no daemon running

I don't like that. A library should not start a daemon, especially
a library that does thumbnails!

Comment 10 Pavel Shevchuk 2008-05-17 13:20:32 EDT
> A library should not start a daemon

GNOME does that with gconf, dbus. KDE does that with sycoca and kdeinit. 
Pulseaudio may do that in near future. On modern SMP systems forking off 
daemons and talking to them via IPC is way to go.
Comment 11 Patrice Dumas 2008-05-17 13:34:16 EDT
I dislike it too. If I had reviewed those packages, and I had
noticed this, I would haven't been happy either. However there
may be sound technical reasons, for example for gconf I can imagine
that a daemon is needed for serialization. And dbus is rather natural
since it is a session-wide desktop system daemon which is used
for all the notifications. kde I don't know.

Here, I find it especially unneeded. Is there a specific need?
Comment 12 Patrice Dumas 2008-05-17 13:36:41 EDT
(In reply to comment #10)
> > A library should not start a daemon
> 
> GNOME does that with gconf, dbus. KDE does that with sycoca and kdeinit. 
> Pulseaudio may do that in near future. On modern SMP systems forking off 
> daemons and talking to them via IPC is way to go.

Forgot to say that I think that it is very wrong to have pulseaudio 
daemon started by a library.
Comment 13 Pavel Shevchuk 2008-05-17 13:50:31 EDT
E filemanager doesn't start thumbd generating thumbs. Even for folders with 
many images. No idea what apps use this API. Having separate daemon for 
thumbnailing would be useful for search engine crawlers which may have 
impressive queue.
Comment 14 Patrice Dumas 2008-05-17 13:55:17 EDT
Why would search engine need to do thumbnailing?
Comment 15 Pavel Shevchuk 2008-05-17 14:04:44 EDT
To allow photo management application to draw timeline of photos for example. 
Dunno =)
Comment 16 Patrice Dumas 2008-05-17 14:34:31 EDT
Anyway, even though I really dislike that kind of design, I won't
block it.

* rpmlint can be ignored
epsilon-devel.i386: W: no-documentation
epsilon-xine.i386: W: no-documentation
* follow packaging guidelines
* free software license included
* match upstream
915e8f29d1de2ec676bbfe3baefe5cdf  epsilon-0.3.0.012.tar.bz2
* %files section right
* library and plugin rightly packaged

- the library starts a daemon, it is something I really dislike. But it 
is more an upstream issue I won't block the review because of that.

APPROVED


Rex, you set the review flag to ?, do you have comments?
Comment 17 Pavel Shevchuk 2008-05-17 15:07:36 EDT
New Package CVS Request
=======================
Package Name: epsilon
Short Description: Small, display independent, and quick thumbnailing library
Owners: stalwart
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 18 Kevin Fenzi 2008-05-17 16:33:48 EDT
cvs done.
Comment 19 Pavel Shevchuk 2008-05-17 18:04:13 EDT
Epsilon hit rawhide. Thanks to everyone!

Note You need to log in before you can comment on or make changes to this bug.